## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/s-rah/onionscan
%global goipath         github.com/s-rah/onionscan
Version:                0.2
%global tag             OnionScan-0.2

%gometa

%global common_description %{expand:
OnionScan is a free and open source tool for investigating the Dark Web.}

%global golicenses      LICENSE
%global godocs          doc CONTRIBUTING.md README.md design/000-onionscan.md\\\
                        design/001-database.md

Name:           onionscan
Release:        %autorelease
Summary:        Tool for investigating the Dark Web

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         onionv3.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/onionscan %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%ifarch %{ix86} %{arm}
# TestCrawlDB fails on i686
for test in "TestCrawlDB" \
            "TestRelationship" \
            "TestExtractBitcoinAddress" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
%gocheck
%endif

%files
%license LICENSE
%doc doc CONTRIBUTING.md README.md design/000-onionscan.md
%doc design/001-database.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0.2-12
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Wed Jun 29 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.2-11
- Disable TestExtractBitcoinAddress test

* Wed Jun 29 2022 Robert-André Mauchin <zebob.m@gmail.com>
- Don't test on 32 bits platforms

* Wed Jun 29 2022 Robert-André Mauchin <zebob.m@gmail.com> 0.2-10
- Convert to automatic buildrequires

* Wed Jun 29 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> 0.2-9
- Skip test in i686 to fix FTBFS, closes rhbz#2046782

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.2-7
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Sat Apr 16 2022 Fabio Alessandro Locati <me@fale.io> - 0.2-6
- Rebuilt for CVE-2022-27191

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Mar 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2-1
- Initial package for Fedora

